#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

srctree ?= .

KVER=6.6
KVENDOR=sdm845
KREL=$(KVER)-$(KVENDOR)

BUILD=$(MAKE) KERNELRELEASE=$(KREL) KBUILD_BUILD_VERSION=$(DEB_VERSION)
GENERATED_FILES= \
	debian/changelog \
	debian/control \
	debian/copyright \
	debian/gbp.conf \
	debian/watch

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	BUILD += -j$(NUMJOBS)
else
	BUILD += -j$(shell nproc)
endif

debian/%: debian/%.in
	sed -e 's/@KREL@/$(KREL)/g' \
	    -e 's/@KVER@/$(KVER)/g' \
	    -e 's/@KVENDOR@/$(KVENDOR)/g' \
		$< > $@

.config: arch/arm64/configs/$(KVENDOR)_defconfig
	$(BUILD) $(KVENDOR)_defconfig

build-arch: .config
	$(BUILD) -f $(srctree)/Makefile

binary-indep:

binary-arch: $(GENERATED_FILES) build-arch
	$(BUILD) -f $(srctree)/Makefile run-command \
	         KBUILD_RUN_COMMAND="$(srctree)/scripts/package/builddeb"

clean: $(GENERATED_FILES)
	rm -rf debian/*tmp debian/files
	$(BUILD) clean

binary: binary-arch

init-pkg:
	rm -f $(GENERATED_FILES)
	debian/rules clean
